Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class KodoHelper

    java.lang.Object
      kodo.runtime.KodoHelper

Deprecated.

    public class KodoHelper

extends Object

A Kodo 3.x backwards-compatible helper class.

Constructor Summary
`KodoHelper()` Deprecated.

Method Summary
`static void` | `close(Object o)` Deprecated.
`static org.apache.openjpa.datacache.DataCache` | `getDataCache(Object o)` Deprecated.
`static org.apache.openjpa.datacache.DataCache` | `getDataCache(PersistenceManager pm, Class cls)` Deprecated.
`static org.apache.openjpa.datacache.DataCache` | `getDataCache(PersistenceManagerFactory pmf, Class cls)` Deprecated.
`static String` | `getDetachedObjectId(Object pc)` Deprecated.
`static Object` | `getDetachedState(Object pc)` Deprecated.
`static int` | `getLockLevel(Object o)` Deprecated.
`static org.apache.openjpa.meta.ClassMetaData` | `getMetaData(Object o)` Deprecated.
`static org.apache.openjpa.meta.ClassMetaData` | `getMetaData(PersistenceManager pm, Class cls)` Deprecated.
`static org.apache.openjpa.meta.ClassMetaData` | `getMetaData(PersistenceManagerFactory factory, Class cls)` Deprecated.
`static Object` | `getObjectId(Object o)` Deprecated.
`static KodoPersistenceManager` | `getPersistenceManager(Object o)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory()` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(File propsFile)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(File propsFile, ClassLoader loader)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props, ClassLoader loader)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(String propsResource)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(String propsResource, ClassLoader loader)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(String jndiLocation, Context context)` Deprecated.
`static KodoPersistenceManagerFactory` | `getPersistenceManagerFactory(String jndiLocation, Context context, ClassLoader loader)` Deprecated.
`static SequenceGenerator` | `getSequenceGenerator(Object o)` Deprecated.
`static SequenceGenerator` | `getSequenceGenerator(PersistenceManager pm, Class cls)` Deprecated.
`static Object` | `getTransactionalObjectId(Object o)` Deprecated.
`static Object` | `getVersion(Object o)` Deprecated.
`static boolean` | `isDeleted(Object o)` Deprecated.
`static boolean` | `isDetached(Object pc)` Deprecated.
`static boolean` | `isDirty(Object o)` Deprecated.
`static boolean` | `isNew(Object o)` Deprecated.
`static boolean` | `isPersistent(Object o)` Deprecated.
`static boolean` | `isTransactional(Object o)` Deprecated.
`static void` | `makeDirty(Object o, String field)` Deprecated.
`static void` | `setDetachedObjectId(Object pc, String id)` Deprecated.
`static void` | `setDetachedState(Object pc, Object state)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoHelper

    public KodoHelper()

  Deprecated.

Method Detail

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory()

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(Properties props)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(Properties props,
                                                                             ClassLoader loader)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(String propsResource)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(String propsResource,
                                                                             ClassLoader loader)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(File propsFile)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(File propsFile,
                                                                             ClassLoader loader)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(String jndiLocation,
                                                                             Context context)

  Deprecated.

### getPersistenceManagerFactory

    public static KodoPersistenceManagerFactory getPersistenceManagerFactory(String jndiLocation,
                                                                             Context context,
                                                                             ClassLoader loader)

  Deprecated.

### getMetaData

    public static org.apache.openjpa.meta.ClassMetaData getMetaData(Object o)

  Deprecated.

### getMetaData

    public static org.apache.openjpa.meta.ClassMetaData getMetaData(PersistenceManager pm,
                                                                    Class cls)

  Deprecated.

### getMetaData

    public static org.apache.openjpa.meta.ClassMetaData getMetaData(PersistenceManagerFactory factory,
                                                                    Class cls)

  Deprecated.

### getVersion

    public static Object getVersion(Object o)

  Deprecated.

### getSequenceGenerator

    public static SequenceGenerator getSequenceGenerator(Object o)

  Deprecated.

### getSequenceGenerator

    public static SequenceGenerator getSequenceGenerator(PersistenceManager pm,
                                                         Class cls)

  Deprecated.

### getDataCache

    public static org.apache.openjpa.datacache.DataCache getDataCache(Object o)

  Deprecated.

### getDataCache

    public static org.apache.openjpa.datacache.DataCache getDataCache(PersistenceManager pm,
                                                                      Class cls)

  Deprecated.

### getDataCache

    public static org.apache.openjpa.datacache.DataCache getDataCache(PersistenceManagerFactory pmf,
                                                                      Class cls)

  Deprecated.

### getLockLevel

    public static int getLockLevel(Object o)

  Deprecated.

### close

    public static void close(Object o)

  Deprecated.

### getPersistenceManager

    public static KodoPersistenceManager getPersistenceManager(Object o)

  Deprecated.

### makeDirty

    public static void makeDirty(Object o,
                                 String field)

  Deprecated.

### getObjectId

    public static Object getObjectId(Object o)

  Deprecated.

### getTransactionalObjectId

    public static Object getTransactionalObjectId(Object o)

  Deprecated.

### isDirty

    public static boolean isDirty(Object o)

  Deprecated.

### isTransactional

    public static boolean isTransactional(Object o)

  Deprecated.

### isPersistent

    public static boolean isPersistent(Object o)

  Deprecated.

### isNew

    public static boolean isNew(Object o)

  Deprecated.

### isDeleted

    public static boolean isDeleted(Object o)

  Deprecated.

### isDetached

    public static boolean isDetached(Object pc)

  Deprecated.

### setDetachedState

    public static void setDetachedState(Object pc,
                                        Object state)

  Deprecated.

### getDetachedState

    public static Object getDetachedState(Object pc)

  Deprecated.

### setDetachedObjectId

    public static void setDetachedObjectId(Object pc,
                                           String id)

  Deprecated.

### getDetachedObjectId

    public static String getDetachedObjectId(Object pc)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.